"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = __importDefault(require("lodash"));
function replaceStringWithRegex(obj) {
    return lodash_1.default.mapValues(obj, value => {
        if (lodash_1.default.isString(value)) {
            try {
                return new RegExp(value);
            }
            catch (e) {
                console.warn("Invalid RegEx: ", value);
                throw e;
            }
        }
        if (lodash_1.default.isObjectLike(obj) && !lodash_1.default.isArray(obj)) {
            return replaceStringWithRegex(obj);
        }
        return value;
    });
}
exports.replaceStringWithRegex = replaceStringWithRegex;
//# sourceMappingURL=replaceStringWithRegexp.js.map